Last Comment Bug 570473 - Release MozillaBuild 1.5
: Release MozillaBuild 1.5
Status: RESOLVED FIXED
:
Product: mozilla.org
Classification: Other
Component: MozillaBuild (show other bugs)
: other
: x86 Windows 7
: -- normal with 1 vote (vote)
: ---
Assigned To: Ted Mielczarek [:ted.mielczarek]
:
Mentors:
Depends on: 409455 504994 505842 506020 525226 545294 557210 565970 569534 581131 822569
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 05:14 PDT by Ted Mielczarek [:ted.mielczarek]
Modified: 2012-12-18 00:38 PST (History)
14 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Ted Mielczarek [:ted.mielczarek] 2010-06-07 05:14:39 PDT
We need a new version of MozillaBuild to pick up a new version of Hg, among other things.
Comment 1 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2010-06-07 06:17:20 PDT
YASM should be on this list too, right?
Comment 2 Ted Mielczarek [:ted.mielczarek] 2010-06-07 06:26:57 PDT
Yes, apparently that bug never got filed.
Comment 3 Axel Hecht [:Pike] 2010-06-07 08:12:00 PDT
AFAICT, there's no file in a mozilla-build install that actually tells which version you're having, right? Could we add a VERSION in the root dir or something?
Comment 4 Ted Mielczarek [:ted.mielczarek] 2010-06-07 10:12:47 PDT
We could, sure. I'd just have to remember to update it. :)
Comment 5 Armen Zambrano [:armenzg] - Engineering productivity 2010-06-11 06:41:43 PDT
Can we put yasm.exe into MozillaBuild?

To make the webm build to work for Windows 64-bit I had to:
* wget http://www.tortall.net/projects/yasm/releases/vsyasm-1.0.1-win64.zip
* unzip vsyasm-1.0.1-win64.zip
* mv vsyasm.exe /d/mozilla-build/msys/bin/yasm.exe

I didn't necessarily have to put it in mozilla-build but just somewhere included in the PATH.
Comment 6 Ted Mielczarek [:ted.mielczarek] 2010-06-11 07:22:48 PDT
Armen, see bug 570477.
Comment 7 Robert Strong [:rstrong] (use needinfo to contact me) 2010-06-18 12:08:52 PDT
Ted, when are you planning on wrapping this up? I'll put a patch together for adding WiX and ust want to make sure I finish it in time.
Comment 8 Ted Mielczarek [:ted.mielczarek] 2010-06-18 12:12:47 PDT
I think I'd like to start on this next week just to get it out of the way. (I haven't done anything yet.)
Comment 9 Armen Zambrano [:armenzg] - Engineering productivity 2010-06-28 12:15:02 PDT
Pushed typo fix for MSVC10
http://hg.mozilla.org/mozilla-build/rev/30877439c2a1
Comment 10 Ted Mielczarek [:ted.mielczarek] 2010-07-08 10:20:47 PDT
http://people.mozilla.com/~tmielczarek/MozillaBuildSetup1.5rc1.exe
Comment 11 Armen Zambrano [:armenzg] - Engineering productivity 2010-07-15 13:35:24 PDT
Do you think we could take this change as well?
bug 579159
Comment 12 Ted Mielczarek [:ted.mielczarek] 2010-07-22 12:23:52 PDT
I haven't heard any negative feedback, so I'm going to call rc1 final. (That might be a first!)

Sorry, I'm not going to do another round of builds, even to take trivial patches.

Note You need to log in before you can comment on or make changes to this bug.